Public Member Functions

# DistanceAnnotation::Comparator Struct Reference

## Public Member Functions
bool | operator() (const DistanceAnnotation *x, const DistanceAnnotation *y) const
| Compare two distance annotations.

## Detailed Description

Definition at line 27 of file mcf.h.

## Member Function Documentation

bool DistanceAnnotation::Comparator::operator() | ( | const DistanceAnnotation * | x,
|  | const DistanceAnnotation * | y |
| ) |  |  | const

Compare two distance annotations.

Parameters:

  | x | First distance annotation.
  | y | Second distance annotation.

Returns:
  If x is better than y.

Definition at line 412 of file mcf.cpp.

References DistanceAnnotation::GetAnnotation(), and Path::GetNode().

The documentation for this struct was generated from the following files:

- src/linkgraph/mcf.h
- src/linkgraph/mcf.cpp